Skip to main content
Get Embedded Chat Config For A Registered Agent
curl --request GET \
  --url https://{api_endpoint}/v1/orchestrate/agents/{id}/embedded-chat-config \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{api_endpoint}/v1/orchestrate/agents/{id}/embedded-chat-config"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{api_endpoint}/v1/orchestrate/agents/{id}/embedded-chat-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tenant_id": "<string>",
  "embedded_chat_config": {
    "layout": {
      "primary_color": "<string>",
      "second_color": "<string>",
      "accent_color": "<string>",
      "theme": "<string>",
      "enable_text_streaming": true,
      "form": {
        "type": "<string>",
        "properties": {
          "container_id": "<string>",
          "width": "<string>",
          "height": "<string>"
        }
      }
    },
    "is_live": true,
    "script": "<string>",
    "updated_at": "<string>"
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

Successful Response

Response model for embedded chat configuration.

id
required

Unique identifier for the agent or no_agent for UI get

tenant_id
string
required

ID of the tenant that owns this agent

embedded_chat_config
EmbeddedChatConfigOut · object
required

Embedded chat configuration